Package org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver

# Class SecondStringFallbackHandler

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver.SecondStringFallbackHandler

All Implemented Interfaces:
  `FallbackHandler<String>`

@Dependent public class SecondStringFallbackHandler extends Object implements FallbackHandler<String>
A fallback handler to recover and return a string object.

Author:
  Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`SecondStringFallbackHandler()`

## Method Summary

Modifier and Type
Method
Description
`String`
`handle(ExecutionContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecondStringFallbackHandler

public SecondStringFallbackHandler()

## Method Details

### handle

public String handle(ExecutionContext context)

Specified by:
  `handle` in interface `FallbackHandler<String>`